;   |_-_-_-_-_-_-_-_-_-_-_-_-_-_ |
;   $ Schleifen                  $                                 
;   $(C) by Bluespeed            $
;   $ bluespeedde@yahoo.de       $
;   |_-_-_-_-_-_-_-_-_-_-_-_-_-_ |



;   Hallo und Willkommen zu einem weiteren Teil der PureBasic Tutorials. In diesem 
;   Tutorial werden wir uns Schleifen genauer anschauen und folgende Fragen 
;   beantworten:

;   - Was sind Schleifen?
;   - Wann nutzt man Schleifen?
;   - Was fr Schleifenarten gibt es?



;   ---------------------------------------
;   W A S    S I N D     S C H L E I F E N 
;   ---------------------------------------

;   Schleifen sind wichtige Elemente der Programmiersprache - immer wenn sich irgendwas 
;   wiederholen muss, wird eine Schleife eingesetzt. In der Spieleprogrammierung und
;   auch in der Anwendungsprogrammierung ist der KERN des Programms eine Schleife, die 
;   von dort aus die untergeordneten Funktionen aufruft. 


;   -------------------------------------------------
;   W A N N   N U T Z T   M A N N   S C H L E I F E N
;   -------------------------------------------------

;   Wie schon oben genannt, dienen Schleifen zur Wiederholung. Ein Programm besteht 
;   eigentlich meist aus Wiederholungen, da der Kern bzw. die Hauptschleife des 
;   Programms immer wieder wiederholt werden. Sonst wrde es nur fr ein paar Sekunden 
;   laufen und schlieen. Natrlich werden Schleifen nicht nur fr den Kern des 
;   Programms genutzt, man kann sie auch fr nebenschliches nutzen.


;   -------------------------------------------------------------
;   W A S   F  R   S C H L E I F E N A R T E N   G I B T    E S 
;   -------------------------------------------------------------


;   FOR-NEXT  
;   --------

;   For-Next Schleifen werden bei fest vorgegebenen Wiederholungen genutzt. Wenn sich 
;   irgendwas genau von 0 bis 20 mal wiederholen soll, wird die For-Next Schleife 
;   genutzt:


;   For x = 0 to 20
  
;       Das, was wiederholt wird

;   Next      ; so wird die schleife geschlossen
  




;   WHILE-WEND
;   ----------

;   While-Wend Schleifen laufen nur dann, wenn die Bedingung - die nach dem While 
;   Kommando steht - erfllt ist. Das heit, es muss nicht unbedingt laufen.


;   While x = 1

;        Das, was wiederholt wird

;   Wend




;   REPEAT-UNTIL
;   -------------

;   Repeat-Until Schleifen laufen solange, bis die Bedingung am Ende "Until 
;   <bedingung>" erfllt ist. Das heit, es endet nur dann, wenn die Bedingung erfllt 
;   wird.


;   Repeat 

;      Das, was wiederholt wird

;   Until x = 1



;   REPEAT-FOREVER
;   --------------

;   Diese Schleifenart luft unendlich mal durch, ohne auf irgend welchen Bedingungen 
;   zu achten. Diese Schleifenart kann nur mit End unterbrochen werden.


;   Repeat

;     Das, was wiederholt wird
      
;   Forever 




;  Das waren die wichtigsten Schleifenarten. Ich hoffe, dass Ihr nun Schleifen besser 
;  versteht.


;  cya
;  Blue


; 05. Juli 2003: berarbeitete Sprache und Layout by Andr Beer - exklusiv fr www.purearea.net

; ExecutableFormat=Windows
; FirstLine=1
; EOF