;   |_-_-_-_-_-_-_-_-_-_-_-_-_-_ |
;   $ Logische Entscheidungen    $                                 
;   $(C) by Bluespeed            $
;   $ bluespeedde@yahoo.de       $
;   |_-_-_-_-_-_-_-_-_-_-_-_-_-_ |



;  Hallo und Willkommen zu einem weiteren Teil der PureBasic Tutorials. Dieses Tut wird 
;  sich mit logischen Entscheidungen befassen, folgende Fragen werden wie klren:

;   Wozu sind Logische Entscheidungen da?
;   Wie setzt man Logische Entscheidungen ein?


;   -------------------------------------------------------------------------
;   W O Z U   S I N D    L O G I S C H E   E N T S C H E I D U N G E N    D A
;   -------------------------------------------------------------------------

;   Immer, wenn man zwischen etwas entscheiden mchte, werden logische 
;   Entscheidungsbefehle eingesetzt.
;   Da dies sehr oft passiert, sind diese Abfragen sehr wichtige Elemente der 
;   Programmiersprache.


;   -----------------------------------------------------------------------------------
;   W I E   S E T Z T   M A N   L O G I S C H E   E N T S C H E I D U N G E N    E I N
;   -----------------------------------------------------------------------------------

;   IF-ENDIF Abfrage
;   ----------------
;   Diese Abfrage knnte man auf deutsch mit folgenden Schlsselwrter erklren:
;   If "Wenn" und EndIf "Ende der Abfrage".


;   If <Bedingung>

;      Mache dies und das

;   EndIf



;   If-ElseIF-EndIf 
;   ---------------
;   Dies ist eine erweiterte Abfrage, die ElseIf beinhaltet, was soviel wie 
;   "anderenfalls" heit.


;   IF <Bedingung>

;      Mache dies und das

;   ElseIf

;      Mache das und dies

;   EndIf



;   And 
;   ---
;   Jeder, der ein wenig Englisch kann, wird hier selber wissen, worum es geht: And 
;   entspricht "Und". Wenn nicht beide Bedingungen erfllt werden ist diese Abfrage 
;   nicht aktiv.



;   If <Bedingung1> And <Bedingung2>

;      Mache dies und das 

;   EndIf


       
;   Or
;   --
;   Or - in deutsch "oder" genannt. Hier muss nur eine von den beiden Bedingungen 
;   erfllt werden, damit die Abfrage aktiv wird.


;   If <Bedingung1> Or <Bedingung2>

;      Mache dies und das

;   Endif
  

;  Xor
;  ---

;  Xor eignet sich gut fr's Schalten zwischen zwei Werten. Wenn eine Variable den Wert 
;  1 hat und man sie mit demselben Wert wieder vergleicht, wird diese auf 0 gesetzt,
;  weil sie gleich sind. Nun ist aber der erste Wert 1 und wenn sie wieder verglichen 
;  werden, ist der erste Wert 1 und der zweite 0. Deswegen wird der zweite wieder auf 1 
;  gesetzt. Dann sind sie wieder gleich und der zweite Wert ist wieder 0 usw.


;  If  <Bedingung1> Xor <Bedingung2>

;    Mache dies und das

;  Endif



; Vergleichsoperatoren
; --------------------

; Vergleichs-Operatoren kann man mit den Abfragen nutzen:

; >       Grer
; >=      Grer oder gleich
; =       Gleich
; <=      Kleiner oder gleich
; <       Kleiner
; <>      Ungleich  

; Hier ein Beispiel: 


; X = 10

; If X < 20

;  Tu dies und das

; Endif



;  Diese abfrage wre aktiv, weil sie stimmt. Hier noch mal in Deutsch bersetzt:


; X  entspricht dem Wert 10

;   Wenn X kleiner als 20 ist

;       Tu dies und das

;   Ende der Abfrage




; Select-Case Abfrage
; -------------------

; Select-Case Abfragen sind im Prinzip genau wie If-Endif, nur anstatt immer wieder 
; folgendes zu machen:

; If X = 1
;   Tu dies
; Endif

; If X = 2
;   Tu dies
; Endif

; If X = 3
;   Tu dies
; Endif

; If X = 4
;   Tu dies
; Endif


; Kann man es sich einfacher mit folgendem Code machen:

; Select X

;    Case 1

;     Tu dieses

;    Case 2
 
;     Tu dieses

;    Case 3

;     Mach das

;    Case 4

;     Mach dies

; End Select

; Also bei mehreren Abfragen mit derselben Variable nutzt man Select Case.


; Das sind die meist gebrauchten Elemente der Programmiersprache und auch die 
; Grundlagen.

; Mir ist die Lust und der Spa vergangen ich hre jetzt auf  ;)

; cya
; Blue


; 05. Juli 2003: berarbeitete Sprache und Layout by Andr Beer - exklusiv fr www.purearea.net

; ExecutableFormat=Windows
; FirstLine=1
; EOF